import { DigiNgFormCheckboxModule } from '@af/digi-ng/_form/form-checkbox';
import { DigiNgFormDatepickerModule } from '@af/digi-ng/_form/form-datepicker';
import { DigiNgFormInputModule } from '@af/digi-ng/_form/form-input';
import { DigiNgFormRadiobuttonGroupModule } from '@af/digi-ng/_form/form-radiobutton-group';
import { DigiNgFormSelectModule } from '@af/digi-ng/_form/form-select';
import { DigiNgPopoverModule } from '@af/digi-ng/_popover/popover';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ReactiveFormsModule } from '@angular/forms';
import { RouterTestingModule } from '@angular/router/testing';
import { TreeNodesSelectorModule } from '@msfa-shared/components/tree-nodes-selector/tree-nodes-selector.module';
import { EditEmployeeFormComponent } from './edit-employee-form.component';

describe('EditEmployeeFormComponent', () => {
  let component: EditEmployeeFormComponent;
  let fixture: ComponentFixture<EditEmployeeFormComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [EditEmployeeFormComponent],
      imports: [
        ReactiveFormsModule,
        DigiNgFormInputModule,
        DigiNgFormRadiobuttonGroupModule,
        DigiNgFormDatepickerModule,
        DigiNgFormSelectModule,
        DigiNgPopoverModule,
        DigiNgFormCheckboxModule,
        HttpClientTestingModule,
        TreeNodesSelectorModule,
        RouterTestingModule,
      ],
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(EditEmployeeFormComponent);
    component = fixture.componentInstance;
    component.employee = {
      id: 'string',
      firstName: 'string',
      lastName: 'string',
      fullName: 'string',
      email: 'string',
      ssn: 'string',
      roles: [],
      tjanster: [],
      allaUtforandeVerksamheter: false,
      utforandeVerksamheter: [],
    };
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
